@extends ('layouts.patient')

{{--@section('section-title')
    Patient Dashboard
@endsection--}}

@section('inner-content')
    {{--<div>
        <h1>Sample info line moe</h1>
        <div moe>
            <form show url="/api/clientInfoLine/create">
                <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                <input type="text" name="category" value="" value="" placeholder="category"><br>
                <input type="text" name="contentText" placeholder="content text"><br>
                <input type="text" name="whatDoesTheFoxSay" placeholder="What does the fox say?"><br>
                <button submit>Submit</button>
            </form>
        </div>
    </div>--}}

    <div>
        <!--
        <h1>Sample measurement moe</h1>
        <div moe>
            <form show url="/api/measurement/create">
                <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                <input type="text" name="label" value="" value="" placeholder="label"><br>
                <input type="text" name="value" placeholder="value"><br>
                <input type="date" name="effectiveDate" placeholder="value"><br>
                <input type="text" name="memo" placeholder="memo"><br>
                <button submit>Submit</button>
            </form>
        </div>
        <div>
            <h1>Measurements</h1>
            <?php $measurements = json_decode($patient->latest_measurements);?>
            <table class="table table-striped table-sm">
                <thead>
                <tr>
                    <th>Label</th>
                    <th>Value</th>
                    <th>Effective date</th>
                    <th>Memo</th>
                </tr>
                </thead>
                <tbody>
                {{--@foreach ($measurements as $label => $data)
                    <tr>
                        <td>{{$label}}</td>
                        <td>{{$data->value}}</td>
                        <td>{{$data->effectiveDate}}</td>
                        <td>{{$data->memo}}</td>
                    </tr>
                @endforeach--}}

                </tbody>
            </table>
        </div>
        -->


        {{-- CARE PLAN START --}}
        <?php $infoLines = json_decode($patient->info_lines);?>
        <?php $infoLines = !$infoLines ? [] : $infoLines; ?>

        {{--<hr class="mt-3 mb-0 m-negator">--}}

        <div class="row">
            <div class="col-6">
                {{-- allergies --}}
                <div class="mt-2 pb-1">
                    <div class="d-flex align-items-center mb-2 py-2 border-top border-bottom">
                        <h6 class="my-0 font-weight-bold text-secondary">Allergies</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="allergy">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Allergy"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                        <span class="mx-2 text-secondary">|</span>
                        <a start show class="py-0 font-weight-normal"
                           href="/patients/view/{{ $patient->uid }}/allergies">
                            View All
                        </a>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        <?php $itemCount = 0;
                        ?>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "allergy")
                                @foreach ($lines as $line)
                                    <?php $itemCount++; ?>
                                    <tr>
                                        <td class="text-black p-0 border-0">
                                            <div class="d-flex">
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete">
                                                        <i class="font-size-11 fa fa-trash-alt text-danger"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="category" value="allergy">
                                                        <div class="mb-2">
                                                            <input type="text" class="form-control form-control-sm" name="contentText" placeholder="Allergy" value="{{$line->contentText}}">
                                                        </div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="font-weight-bold">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        @if($itemCount === 0)
                            <tr>
                                <td class="text-secondary p-0 border-0">
                                    No items to show
                                </td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>

                {{-- rx --}}
                <div class="mt-2 pb-1">
                    <div class="d-flex align-items-center mb-2 py-2 border-top border-bottom">
                        <h6 class="my-0 font-weight-bold text-secondary">Current Medications</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="rx">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Medication"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                        <span class="mx-2 text-secondary">|</span>
                        <a start show class="py-0 font-weight-normal"
                           href="/patients/view/{{ $patient->uid }}/medications">
                            View All
                        </a>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        <?php $itemCount = 0; ?>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "rx")
                                @foreach ($lines as $line)
                                    <?php $itemCount++; ?>
                                    <tr>
                                        <td class="text-black p-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete">
                                                        <i class="font-size-11 fa fa-trash-alt text-danger"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="rx">
                                                        <div class="mb-2">
                                                            <input type="text" class="form-control form-control-sm"
                                                                   name="contentText"
                                                                   placeholder="Medication"
                                                                   value="{{$line->contentText}}"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="font-weight-bold">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        @if($itemCount === 0)
                            <tr>
                                <td class="text-secondary p-0 border-0">
                                    No items to show
                                </td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>

                {{-- dx --}}
                <div class="mt-4 pb-1">
                    <div class="d-flex align-items-center mb-2 py-2 border-top border-bottom">
                        <h6 class="my-0 font-weight-bold text-secondary">Dx &amp; Focus Areas</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="dx">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Title"></div>
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="ICD" value="" placeholder="ICD"></div>
                                <div class="mb-2">
                                    <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                                        <option>Chronic or Acute (select one)</option>
                                        <option value="Chronic">Chronic</option>
                                        <option value="Acute">Acute</option>
                                    </select>
                                </div>
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Prognosis" value="" placeholder="Prognosis"></div>
                                <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Goal" value="" placeholder="Treatment Goal"></textarea></div>
                                <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Plan" value="" placeholder="Treatment Plan"></textarea></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                        <span class="mx-2 text-secondary">|</span>
                        <a start show class="py-0 font-weight-normal"
                           href="/patients/view/{{ $patient->uid }}/dx-and-focus-areas">
                            View All
                        </a>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        <?php $itemCount = 0; ?>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "dx")
                                @foreach ($lines as $line)
                                    <?php $itemCount++; ?>
                                    <tr>
                                        <td class="text-black p-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete">
                                                        <i class="font-size-11 fa fa-trash-alt text-danger"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="dx">
                                                        <div class="mb-2">
                                                            <input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="Title">
                                                        </div>
                                                        <div class="mb-2">
                                                            <input type="text" class="form-control form-control-sm" name="ICD" value="{{ $line->contentDetail->{"ICD"} }}" placeholder="ICD">
                                                        </div>
                                                        <div class="mb-2">
                                                            <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                                                                <option>Chronic or Acute (select one)</option>
                                                                <option {{ $line->contentDetail->{"Chronic or Acute"} === 'Chronic' ? 'selected' : '' }} value="Chronic">Chronic</option>
                                                                <option {{ $line->contentDetail->{"Chronic or Acute"} === 'Acute' ? 'selected' : '' }} value="Acute">Acute</option>
                                                            </select>
                                                        </div>
                                                        <div class="mb-2">
                                                            <input type="text" class="form-control form-control-sm" name="Prognosis" value="{{ $line->contentDetail->{"Prognosis"} }}" placeholder="Prognosis">
                                                        </div>
                                                        <div class="mb-2">
                                                            <textarea type="text" class="form-control form-control-sm" name="Treatment Goal" placeholder="Treatment Goal">{{ $line->contentDetail->{"Treatment Goal"} }}</textarea>
                                                        </div>
                                                        <div class="mb-2">
                                                            <textarea type="text" class="form-control form-control-sm" name="Treatment Plan" placeholder="Treatment Plan">{{ $line->contentDetail->{"Treatment Plan"} }}</textarea>
                                                        </div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="font-weight-bold">{{$line->contentText}}</span>
                                                <span class="text-secondary mx-1">/</span>
                                                <span class="text-secondary">{{ $line->contentDetail->{"Chronic or Acute"} }}</span>
                                                <span class="text-secondary mx-1">/</span>
                                                <span class="text-secondary">ICD: {{ $line->contentDetail->{"ICD"} ? $line->contentDetail->{"ICD"} : '-' }}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        @if($itemCount === 0)
                            <tr>
                                <td class="text-secondary p-0 border-0">
                                    No items to show
                                </td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>

                {{-- care_team --}}
                <div class="mt-4">
                    <div class="d-flex align-items-center mb-2 py-2 border-top border-bottom">
                        <h6 class="my-0 font-weight-bold text-secondary">Care Team</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="care_team">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Name"></div>
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Specialty" value="" placeholder="Specialty"></div>
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Organization" value="" placeholder="Organization"></div>
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Phone" value="" placeholder="Phone"></div>
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Fax" value="" placeholder="Fax"></div>
                                <div class="mb-2"><input type="date" class="form-control form-control-sm" name="Next Appointment" value="" placeholder="Next Appointment"></div>
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Memo" value="" placeholder="Memo"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                        <span class="mx-2 text-secondary">|</span>
                        <a start show class="py-0 font-weight-normal"
                           href="/patients/view/{{ $patient->uid }}/care-team">
                            View All
                        </a>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        <?php $itemCount = 0; ?>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "care_team")
                                @foreach ($lines as $line)
                                    <?php $itemCount++; ?>
                                    <tr>
                                        <td class="text-black p-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete">
                                                        <i class="font-size-11 fa fa-trash-alt text-danger"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="care_team">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="Name"></div>
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Specialty" value="{{$line->contentDetail->{'Specialty'} }}" placeholder="Specialty"></div>
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Organization" value="{{$line->contentDetail->{'Organization'} }}" placeholder="Organization"></div>
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Phone" value="{{$line->contentDetail->{'Phone'} }}" placeholder="Phone"></div>
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Fax" value="{{$line->contentDetail->{'Fax'} }}" placeholder="Fax"></div>
                                                        <div class="mb-2"><input type="date" class="form-control form-control-sm" name="Next Appointment" value="{{$line->contentDetail->{'Next Appointment'} }}" placeholder="Next Appointment"></div>
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Memo" value="{{$line->contentDetail->{'Memo'} }}" placeholder="Memo"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="font-weight-bold">{{$line->contentText}}</span>
                                                <span class="text-secondary mx-1">/</span>
                                                <span class="text-secondary">{{ $line->contentDetail->{"Specialty"} }}</span>
                                                <span class="text-secondary mx-1">/</span>
                                                <span class="text-secondary">Next Apt: {{ $line->contentDetail->{"Next Appointment"} ? $line->contentDetail->{"Next Appointment"} : '-' }}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        @if($itemCount === 0)
                            <tr>
                                <td class="text-secondary p-0 border-0">
                                    No items to show
                                </td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="col-6">

                <div class="mt-2">
                    <div class="d-flex align-items-center mb-2 py-2 border-top border-bottom">
                        <h6 class="my-0 font-weight-bold text-secondary">History</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <a start show class="py-0 font-weight-normal"
                           href="/patients/view/{{ $patient->uid }}/history">
                            View All
                        </a>
                    </div>
                </div>

                {{-- history_medical --}}
                <div class="mt-2">
                    <div class="d-flex align-items-center pb-2">
                        <h6 class="my-0 font-weight-bold">Medical</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="history_medical">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "history_medical")
                                @foreach ($lines as $line)
                                    <tr>
                                        <td class="pl-4 py-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete"><i class="font-size-11 fa fa-trash-alt text-danger"></i></a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="history_medical">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="History"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>

                {{-- history_surgical --}}
                <div class="mt-2">
                    <div class="d-flex align-items-center pb-2">
                        <h6 class="my-0 font-weight-bold">Surgical</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="history_surgical">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "history_surgical")
                                @foreach ($lines as $line)
                                    <tr>
                                        <td class="pl-4 py-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete"><i class="font-size-11 fa fa-trash-alt text-danger"></i></a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="history_surgical">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="History"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>

                {{-- history_family --}}
                <div class="mt-2">
                    <div class="d-flex align-items-center pb-2">
                        <h6 class="my-0 font-weight-bold">Family</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="history_family">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "history_family")
                                @foreach ($lines as $line)
                                    <tr>
                                        {{--<td class="px-2">{{$category}}</td>--}}
                                        <td class="pl-4 py-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete"><i class="font-size-11 fa fa-trash-alt text-danger"></i></a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="history_family">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="History"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>

                {{-- history_social --}}
                <div class="mt-2">
                    <div class="d-flex align-items-center pb-2">
                        <h6 class="my-0 font-weight-bold">Social</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="history_social">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "history_social")
                                @foreach ($lines as $line)
                                    <tr>
                                        {{--<td class="px-2">{{$category}}</td>--}}
                                        <td class="pl-4 py-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete"><i class="font-size-11 fa fa-trash-alt text-danger"></i></a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="history_social">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="History"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>

                {{-- history_ob_and_preg --}}
                <div class="mt-2">
                    <div class="d-flex align-items-center pb-2">
                        <h6 class="my-0 font-weight-bold">OB & Pregnancy</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="history_ob_and_preg">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "history_ob_and_preg")
                                @foreach ($lines as $line)
                                    <tr>
                                        {{--<td class="px-2">{{$category}}</td>--}}
                                        <td class="pl-4 py-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete"><i class="font-size-11 fa fa-trash-alt text-danger"></i></a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="history_ob_and_preg">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="History"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>

                {{-- history_hospitalizations_procedures --}}
                <div class="mt-2">
                    <div class="d-flex align-items-center pb-2">
                        <h6 class="my-0 font-weight-bold">Hospitalizations / Procedures</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="history_hospitalizations_procedures">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "history_hospitalizations_procedures")
                                @foreach ($lines as $line)
                                    <tr>
                                        {{--<td class="px-2">{{$category}}</td>--}}
                                        <td class="pl-4 py-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete"><i class="font-size-11 fa fa-trash-alt text-danger"></i></a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="history_hospitalizations_procedures">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="History"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>

                {{-- history_screenings --}}
                <div class="mt-2">
                    <div class="d-flex align-items-center pb-2">
                        <h6 class="my-0 font-weight-bold">Screenings</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="history_screenings">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "history_screenings")
                                @foreach ($lines as $line)
                                    <tr>
                                        {{--<td class="px-2">{{$category}}</td>--}}
                                        <td class="pl-4 py-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete"><i class="font-size-11 fa fa-trash-alt text-danger"></i></a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="history_screenings">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="History"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>

                {{-- history_colonoscopy --}}
                <div class="mt-2">
                    <div class="d-flex align-items-center pb-2">
                        <h6 class="my-0 font-weight-bold">Colonoscopy</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="history_colonoscopy">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "history_colonoscopy")
                                @foreach ($lines as $line)
                                    <tr>
                                        {{--<td class="px-2">{{$category}}</td>--}}
                                        <td class="pl-4 py-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete"><i class="font-size-11 fa fa-trash-alt text-danger"></i></a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="history_colonoscopy">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="History"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>

                {{-- history_mammogram --}}
                <div class="mt-2">
                    <div class="d-flex align-items-center pb-2">
                        <h6 class="my-0 font-weight-bold">Mammogram</h6>
                        <span class="mx-2 text-secondary">|</span>
                        <div moe>
                            <a start show class="py-0 font-weight-normal">Add</a>
                            <form url="/api/clientInfoLine/create">
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="category" value="history_mammogram">
                                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <table class="table table-sm border-0 m-0">
                        <tbody>
                        @foreach($infoLines as $category => $lines)
                            @if($category === "history_mammogram")
                                @foreach ($lines as $line)
                                    <tr>
                                        {{--<td class="px-2">{{$category}}</td>--}}
                                        <td class="pl-4 py-0 border-0">
                                            <div class="d-flex">
                                                <span moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Delete"><i class="font-size-11 fa fa-trash-alt text-danger"></i></a>
                                                    <form url="/api/clientInfoLine/remove">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <p class="small">Are you sure you want to delete this entry?</p>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </span>
                                                <div moe relative class="mr-2">
                                                    <a class="on-hover-opaque" start show title="Edit">
                                                        <i class="font-size-11 fa fa-edit"></i>
                                                    </a>
                                                    <form url="/api/clientInfoLine/updateContent">
                                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                                        <input type="hidden" name="category" value="history_mammogram">
                                                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="{{$line->contentText}}" placeholder="History"></div>
                                                        <div class="d-flex align-items-center">
                                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <span class="">{{$line->contentText}}</span>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
    <?php /* <pre class="mt-5 pt-5">
        CARE PLAN: [edit]

            Current Medications:

            Dx & Focus Areas:

                Title | ICD | Chronic or Acute | Prognosis | Treatment Goal | Treatment Plan

            Care Team:

                Name | Specialty | Organization | Phone | Fax | Next Appointment | Memo

            Recent Measurements:

                Vitals:

                    BP: 120 / 80
                    HR: 100 bpm
                    Temp: 103.0 F
                    RR: 39 rpm
                    Ht: 5' 10"
                    Wt: 230 lbs
                    BMI: 33
                    SpO2: 3.0%
                    Inhaled O2: 4.0%

                Lab:

                    A1c:
                    LDL:
                    HDL:
                    Trigs:

                Other:

                    ...

            History:

                Medical:
                Surgical:
                Family:
                Social:
                OB & Preg:
                Hospitalizations / Procedures:

			Screenings:
                Colonoscopy:
                Mammogram:
                ...//TODO checklist

        RECENT E&M NOTES:
            # | HCP | Date | Name | DOB | Title | Bill(s)
    </pre> */ ?>
@endsection
